#!/bin/sh -e
# Copyright (c) 2020 Famedly GmbH
# SPDX-License-Identifier: AGPL-3.0-or-later

cd "$(dirname "$0")"/..
[ -d dart-olm/native/olm ] && export LD_LIBRARY_PATH=$(pwd)/dart-olm/native/olm
pub run test -p vm,firefox
pub run test_coverage
genhtml -o coverage coverage/lcov.info || scripts/lcov_stats.sh coverage/lcov.info || true
